Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.meta
Class Types

    java.lang.Object
      org.apache.openjpa.persistence.meta.Types

    public class Types

extends Object

Persistent Type according to JPA 2.0.
JPA 2.0 defines a type system for persistent objects to decorate a core Java type system with persistence-relevant properties such as persistent identity, independently persistence capable etc.
Implemented as a thin adapter to OpenJPA metadata system. Mostly immutable.

Since:
  2.0.0
Author:
  Pinaki Poddar

Nested Class Summary
`(package private) static class` | `Types.BaseType<X>` Mirrors a Java class.
`static class` | `Types.Basic<X>` Basic non-relational types of a persistent attribute such as `long` or `java.util.Date`.
`static class` | `Types.Embeddable<X>` An embedded, not independently identifiable type.
`static class` | `Types.Entity<X>` An entity type that is independently identifiable.
`static class` | `Types.Identifiable<X>` Represents an abstract persistent type that has a persistent identity.
`static class` | `Types.MappedSuper<X>` A abstract, independently identifiable persistent type.
`static class` | `Types.PseudoEntity<X>` A pseudo managed type used to represent keys of a java.util.Map as a pseudo attribute.

Field Summary
`protected static Localizer` | `_loc`

Constructor Summary
`Types()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _loc

    protected static Localizer _loc

Constructor Detail

### Types

    public Types()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.